//
// AuditLogGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct AuditLogGet: Codable {

    public var actionType: ActionType
    public var userId: Int
    public var clientIp: String?
    public var meta: Data
    public var _id: UUID
    public var organizationId: Int
    public var organizationName: String
    public var createdAt: Date
    public var userEmail: String
    public var userFirstName: String
    public var userLastName: String
    public var userAvatarId: UUID?
    public var userRoleId: Int
    public var userRoleName: String
    public var userAvatarUrl: String?
    public var userGroups: [AuditlogUserGroup]
    public var userIsSuperuser: Bool

    public init(actionType: ActionType, userId: Int, clientIp: String? = nil, meta: Data, _id: UUID, organizationId: Int, organizationName: String, createdAt: Date, userEmail: String, userFirstName: String, userLastName: String, userAvatarId: UUID? = nil, userRoleId: Int, userRoleName: String, userAvatarUrl: String? = nil, userGroups: [AuditlogUserGroup], userIsSuperuser: Bool) {
        self.actionType = actionType
        self.userId = userId
        self.clientIp = clientIp
        self.meta = meta
        self._id = _id
        self.organizationId = organizationId
        self.organizationName = organizationName
        self.createdAt = createdAt
        self.userEmail = userEmail
        self.userFirstName = userFirstName
        self.userLastName = userLastName
        self.userAvatarId = userAvatarId
        self.userRoleId = userRoleId
        self.userRoleName = userRoleName
        self.userAvatarUrl = userAvatarUrl
        self.userGroups = userGroups
        self.userIsSuperuser = userIsSuperuser
    }

    public enum CodingKeys: String, CodingKey { 
        case actionType = "action_type"
        case userId = "user_id"
        case clientIp = "client_ip"
        case meta
        case _id = "id"
        case organizationId = "organization_id"
        case organizationName = "organization_name"
        case createdAt = "created_at"
        case userEmail = "user_email"
        case userFirstName = "user_first_name"
        case userLastName = "user_last_name"
        case userAvatarId = "user_avatar_id"
        case userRoleId = "user_role_id"
        case userRoleName = "user_role_name"
        case userAvatarUrl = "user_avatar_url"
        case userGroups = "user_groups"
        case userIsSuperuser = "user_is_superuser"
    }

}
